PROJ = qwk2pkt
PROJFILE = qwk2pkt.mak
DEBUG = 0

CC  = cl
CFLAGS_G  = /AL /W4 /Zp1 /BATCH /J
CFLAGS_D  = /qc /Od /Zi /Zr /DQWKIMPORT /DXQWKIMPORT /DOS2 /Giout\$(PROJ).mdt
CFLAGS_R  = /Ot /Oi /Gs /DQWKIMPORT /DXQWKIMPORT /DBMG /DOS2
MAPFILE_D  = NUL
MAPFILE_R  = NUL
LFLAGS_G  =  /NOI /STACK:4096  /BATCH
LFLAGS_D  = /CO /INC /FAR /PACKC /PACKD /PMTYPE:VIO
LFLAGS_R  = /EXE /FAR /PACKC /PACKD /PMTYPE:VIO
LINKER  = link
ILINK  = ilink
LRF  = echo > NUL

OBJS  = out\ASSIGN.obj out\BMG.obj out\DELIMS.obj out\PRSEADDR.obj out\QWK.obj\
        out\QWK2PKT.obj out\STRIPS.obj out\STRISTR.obj out\XQWK.obj

all: out\$(PROJ).exe

.SUFFIXES:
.SUFFIXES: .obj .c

out\ASSIGN.obj : ASSIGN.C
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Foout\ASSIGN.obj ASSIGN.C
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Foout\ASSIGN.obj ASSIGN.C
!ENDIF

out\BMG.obj : BMG.C
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Foout\BMG.obj BMG.C
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Foout\BMG.obj BMG.C
!ENDIF

out\DELIMS.obj : DELIMS.C
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Foout\DELIMS.obj DELIMS.C
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Foout\DELIMS.obj DELIMS.C
!ENDIF

out\PRSEADDR.obj : PRSEADDR.C
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Foout\PRSEADDR.obj PRSEADDR.C
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Foout\PRSEADDR.obj PRSEADDR.C
!ENDIF

out\QWK.obj : QWK.C
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Foout\QWK.obj QWK.C
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Foout\QWK.obj QWK.C
!ENDIF

out\QWK2PKT.obj : QWK2PKT.C
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Foout\QWK2PKT.obj QWK2PKT.C
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Foout\QWK2PKT.obj QWK2PKT.C
!ENDIF

out\STRIPS.obj : STRIPS.C
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Foout\STRIPS.obj STRIPS.C
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Foout\STRIPS.obj STRIPS.C
!ENDIF

out\STRISTR.obj : STRISTR.C
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Foout\STRISTR.obj STRISTR.C
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Foout\STRISTR.obj STRISTR.C
!ENDIF

out\XQWK.obj : XQWK.C
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Foout\XQWK.obj XQWK.C
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Foout\XQWK.obj XQWK.C
!ENDIF


out\$(PROJ).exe : $(OBJS)
!IF $(DEBUG)
        $(LRF) @<<out\$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_D)
$(LLIBS_G: = +^
) +
$(LLIBS_D: = +^
) +
$(LIBS: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_D);
<<
!ELSE
        $(LRF) @<<out\$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_R)
$(LLIBS_G: = +^
) +
$(LLIBS_R: = +^
) +
$(LIBS: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_R);
<<
!ENDIF
!IF $(DEBUG)
        $(ILINK) -a -e "$(LINKER) @out\$(PROJ).lrf" $@
!ELSE
        $(LINKER) @out\$(PROJ).lrf
!ENDIF


.c.obj :
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Fo$@ $<
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Fo$@ $<
!ENDIF


run: out\$(PROJ).exe
        out\$(PROJ).exe $(RUNFLAGS)

debug: out\$(PROJ).exe
        CVP $(CVFLAGS) out\$(PROJ).exe $(RUNFLAGS)
